"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ManagersMap = void 0;

/**
 * A simple class to enclose the map of managers by typeName
 * with a get function
 */
class ManagersMap {
  constructor(managers) {
    this.managers = managers;
  }

  get(typeName) {
    return this.managers[typeName] || null;
  }

}

exports.ManagersMap = ManagersMap;
//# sourceMappingURL=managersMap.js.map